CassandraDaemon (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Interface CassandraDaemon

All Known Implementing Classes:
  AbstractCassandraDaemon, CassandraDaemon

    public interface CassandraDaemon

The `CassandraDaemon` interface captures the lifecycle of a Cassandra daemon that runs on a single node.

Method Summary
`void` | `activate()` A convenience method to initialize and start the daemon in one shot.
`void` | `deactivate()` A convenience method to stop and destroy the daemon in one shot.
`void` | `destroy()` Clean up all resources obtained during the lifetime of the daemon.
`void` | `init(java.lang.String[] arguments)` Initialize the Cassandra Daemon based on the given Commons Daemon-specific arguments.
`boolean` | `isRPCServerRunning()`
`void` | `start()` Start the Cassandra Daemon, assuming that it has already been initialized, via either `init(String[])` or `#load(String[])`.
`void` | `startRPCServer()`
`void` | `stop()` Stop the daemon, ideally in an idempotent manner.
`void` | `stopRPCServer()`

Method Detail

### init

    void init(java.lang.String[] arguments)
              throws java.io.IOException

  Initialize the Cassandra Daemon based on the given Commons Daemon-specific arguments. To clarify, this is a hook for JSVC.

  Parameters:
    `arguments` - the arguments passed in from JSVC
  Throws:
    `java.io.IOException`

### start

    void start()
               throws java.io.IOException

  Start the Cassandra Daemon, assuming that it has already been initialized, via either `init(String[])` or `#load(String[])`.

  Throws:
    `java.io.IOException`

### stop

    void stop()

  Stop the daemon, ideally in an idempotent manner.

### destroy

    void destroy()

  Clean up all resources obtained during the lifetime of the daemon. Just to clarify, this is a hook for JSVC.

### startRPCServer

    void startRPCServer()

### stopRPCServer

    void stopRPCServer()

### isRPCServerRunning

    boolean isRPCServerRunning()

### activate

    void activate()

  A convenience method to initialize and start the daemon in one shot.

### deactivate

    void deactivate()

  A convenience method to stop and destroy the daemon in one shot.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation